Bug 975933 - cups-browsed should update network interfaces when listening for CUPS Browsing packets
cups-browsed should update network interfaces when listening for CUPS Browsin...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: cups-filters (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Tim Waugh
Fedora Extras Quality Assurance
: Tracking
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-06-19 11:50 EDT by Tim Waugh
Modified: 2015-09-09 05:47 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-09-09 05:47:43 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
0001-Watch-NetworkManager-for-network-interface-changes-b.patch (5.98 KB, patch)
2013-06-19 13:31 EDT, Tim Waugh
no flags Details | Diff

  None (edit)
Description Tim Waugh 2013-06-19 11:50:42 EDT
When cups-browsed is configured with 'CUPS' in BrowseRemoteProtocols but *not* in BrowseLocalProtocols, changes in network interfaces will not be detected.

It should either periodically check for updated network interfaces or, preferably, listen for NetworkManager D-Bus signals and rescan based on those.
Comment 1 Tim Waugh 2013-06-19 13:31:49 EDT
Created attachment 763067 [details]
0001-Watch-NetworkManager-for-network-interface-changes-b.patch

Something like this patch is needed.
Comment 2 Fedora End Of Life 2015-01-09 13:28:52 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 3 Orion Poplawski 2015-02-04 15:50:30 EST
I suspect that this is part (not not all) of what I'm seeing in bug 1189254.
Comment 4 Tim Waugh 2015-02-12 08:10:25 EST
Pretty sure this is unrelated actually, but in any case it's fixed upstream now in r7328.
Comment 5 Jiri Popelka 2015-09-09 05:47:43 EDT
(In reply to Tim Waugh from comment #4)
> it's fixed upstream now in r7328.

i.e. since cups-filters-1.0.65

Note You need to log in before you can comment on or make changes to this bug.